/*
 * @(#)locale_str.h	1.14 98/02/17
 * 
 * Copyright (c) 1995, 1996 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.1_beta
 * 
 */
/*
 * Windows language string to ISO639 string mapping table
 */


static char *language_names[] = {
    "arabic", 		"ar",		/* Arabic */
    "belarusian", 	"be",		/* Belorussian */
    "bulgarian", 	"bg",		/* Bulgarian */
    "catalan",		"ca",		/* Catalan */
    "csy",		"cs",		/* Czech */
    "czech",		"cs",
    "dan",		"da",		/* Danish */
    "danish",		"da",
    "dea",		"de",		/* German */
    "des",		"de",
    "deu",		"de",
    "german",		"de",
    "german-austrian",	"de",
    "german-swiss",	"de",
    "swiss",		"de",
    "ell",		"el",		/* Greek */
    "greek",		"el",
    "american",		"en",		/* English */
    "american english",	"en",
    "american-english",	"en",
    "australian",	"en",
    "canadian",		"en",
    "ena",		"en",
    "enc",		"en",
    "eng",		"en",
    "english",		"en",
    "english-american",	"en",
    "english-aus",	"en",
    "english-can",	"en",
    "english-nz",	"en",
    "english-uk",	"en",
    "english-us",	"en",
    "english-usa",	"en",
    "enu",		"en",
    "enz",		"en",
    "uk",		"en",
    "us",		"en",
    "usa",		"en",
    "esm",		"es",		/* Spanish */
    "esn",		"es",
    "esp",		"es",
    "spanish",		"es",
    "spanish-mexican",	"es",
    "spanish - traditional sort",	"es",
    "spanish - modern sort",	"es",
    "estonian",		"et",		/* Estonian */
    "fin",		"fi",		/* Finnish */
    "finnish",		"fi",
    "fra",		"fr",
    "frb",		"fr",		/* French */
    "frc",		"fr",
    "french",		"fr",
    "french-belgian",	"fr",
    "french-canadian",	"fr",
    "french-swiss",	"fr",
    "hebrew",		"iw",		/* Hebrew */
    "croatian",		"hr",		/* Croatian */
    "hun",		"hu",		/* Hungarian */
    "hungarian",	"hu",
    "icelandic",	"is",		/* Icelandic */
    "isl",		"is",
    "ita",		"it",		/* Italian */
    "italian",		"it",
    "italian-swiss",	"it",
    "its",		"it",
    "japanese",		"ja",		/* Japanese */
    "jpn",		"ja",
    "kor",		"ko",		/* Korean */
    "korean",		"ko",
    "lithuanian",	"lt",		/* Lithuanian */
    "latvian",		"lv",		/* Latvian */
    "macedonian",	"mk",		/* Macedonian */
    "belgian",		"nl",		/* Dutch */
    "dutch",		"nl",
    "dutch-belgian",	"nl",
    "nlb",		"nl",		/* English */
    "nld",		"nl",
    "non",		"no",		/* Norwegian */
    "nor",		"no",
    "norwegian",	"no",
    "norwegian (bokm\xe5l)",	"no",
    "norwegian (nynorsk)","no",
    "plk",		"pl",		/* Polish */
    "polish",		"pl",
    "portuguese",	"pt",		/* Portuguese */
    "portuguese-brazilian","pt",
    "ptb",		"pt",
    "ptg",		"pt",
    "romanian",		"ro",		/* Romanian */
    "rus",		"ru",		/* Russian */
    "russian",		"ru",
    "sky",		"sk",		/* Slovak */
    "slovak",		"sk",
    "slovene",		"sl",		/* Slovene */
    "albanian",		"sq",		/* Albanian */
    "serbian",		"sr",		/* Serbian */
    "sve",		"sv",		/* Swedish */
    "swedish",		"sv",
    "thai",		"th",		/* Thai */
    "trk",		"tr",
    "turkish",		"tr",		/* Turkish */
    "ukrainian",        "uk",
    "chinese",		"zh",		/* Chinese */
    "chinese(prc)",	"zh",
    "chinese(taiwan)",	"zh",
    "chinese-simplified","zh",
    "chinese-traditional","zh",
    "chs",		"zh",
    "cht",		"zh",
    "",
};

/*
 * Windows country string to ISO3166 two characters string mapping table
 */
static char *region_names[] = {
    "austria", "AT",		/* Austria */
    "aus", "AU",		/* Australia */
    "australia", "AU",
    "belarus", "BY",            /* Belarus */
    "bel", "BE",		/* Belgium */
    "belgium", "BE",
    "bra", "BR",		/* Brazil */
    "brazil", "BR",		
    "can", "CA",		/* Canada */
    "canada", "CA",
    "cze", "CZ",		/* Czech Republic */
    "czech", "CZ",
    "denmark", "DK",		/* Denmark */
    "dnk", "DK",
    "fin", "FI",		/* Finland */
    "finland", "FI",
    "fra", "FR",		/* France */
    "france", "FR",
    "deu", "DE",		/* Germany */
    "germany", "DE",
    "grc", "GR",		/* Greece */
    "greece", "GR",
    "hkg", "HK",		/* Hong Kong */
    "hong kong", "HK",
    "hong-kong", "HK",
    "hun", "HU",		/* Hungary */
    "hungary", "HU",
    "iceland", "IS",		/* Iceland */
    "isl", "IS",
    "ireland", "IE",		/* Ireland */
    "irl", "IE",
    "israel", "IL",		/* Israel */
    "ita", "IT",		/* Italy */
    "italy", "IT",
    "japan", "JP",		/* Japan */
    "jpn", "JP",
    "mex", "MX",		/* Mexico */
    "mexico", "MX",
    "nld", "NL",		/* Netherlands */
    "holland", "NL",
    "netherlands", "NL",
    "new zealand", "NZ",	/* New Zealand */
    "new-zealand", "NZ",
    "nz", "NZ",
    "nzl", "NZ",
    "nor", "NO",		/* Norway */
    "norway", "NO",
    "china", "CN",		/* People's Republic of China */
    "chn", "CN",
    "pr china", "CN",
    "pr-china", "CN",
    "people's republic of china", "CN",
    "pol", "PL",		/* Poland */
    "poland", "PL",
    "prt", "PT",
    "portugal", "PT",
    "rus", "RU",		/* Russia */
    "russia", "RU",
    "sgp", "SG",		/* Singapore */
    "singapore", "SG",
    "svk", "SK",		/* Slovak Republic */
    "slovak", "SK",
    "kor", "KO",		/* South Korea */
    "korea", "KO",
    "south korea", "KO",
    "south-korea", "KO",
    "esp", "ES",		/* Spain */
    "spain", "ES",
    "swe", "SE",		/* Sweden */
    "sweden", "SE",
    "che", "CH",		/* Switzerland */
    "switzerland", "CH",
    "taiwan", "TW",		/* Taiwan */
    "twn", "TW",
    "thailand", "TH",		/* Thailand */
    "tur", "TR",		/* Turkey */
    "turkey", "TR",
    "britain", "GB",		/* United Kingdom */
    "england", "GB",
    "gbr", "GB",
    "great britain", "GB",
    "uk", "GB",
    "united kingdom", "GB",
    "united-kingdom", "GB",
    "america", "US",		/* United States of America */
    "united states", "US",
    "united-states", "US",
    "us", "US",
    "usa", "US",
    "ukraine", "UA",
    "",
};

/*
 * Windows locale string to Encoding converter 
 * default file.encoding is "8859_1".
 */
static char *encoding_names[] = {
    "ar", "Cp1256",
    "be", "Cp1251",
    "bg", "Cp1251",
    "cs", "Cp1250",
    "el", "Cp1253",
    "et", "Cp1257",
    "iw", "Cp1255",
    "hu", "Cp1250",
    "ja", "SJIS",
    "ko", "EUC_KR",
    "lt", "Cp1257",
    "lv", "Cp1257",
    "mk", "Cp1251",
    "pl", "Cp1250",
    "ro", "Cp1250",
    "ru", "Cp1251",
    "sh", "Cp1250",
    "sk", "Cp1250",
    "sl", "Cp1250",
    "sq", "Cp1250",
    "sr", "Cp1251",
    "th", "MS874",
    "tr", "Cp1254",
    "uk", "Cp1251",
    "zh", "GBK",
    "zh_TW", "MS950",
    "",
};

/*
 * Windows long TimeZone string to
 * user.timezone representation table.
 * This is a temporary fix for JDK 1.1.6; for 1.2 we will go to the full names, shown
 * below in comments. [LIU]
 */
static char *timezone_names[] = {
    /* Win32 zone name                 Java zone name                     Win32 offset */
    /* ---------------                 --------------                     ------------ */
    "Dateline Standard Time",          "Pacific/Auckland",                /* GMT-12:00 */
    "Samoa Standard Time",             "MIT" /*"Pacific/Apia"*/,          /* GMT-11:00 */
    "Hawaiian Standard Time",          "HST" /*"Pacific/Honolulu"*/,      /* GMT-10:00 */
    "Alaskan Standard Time",           "AST" /*"America/Anchorage"*/,     /* GMT-09:00 */
    "Pacific Standard Time",           "PST" /*"America/Los_Angeles"*/,   /* GMT-08:00 */
    "Mountain Standard Time",          "America/Denver",                  /* GMT-07:00 */
    "US Mountain Standard Time",       "MST" /*"America/Phoenix"*/,       /* GMT-07:00 */
    "Canada Central Standard Time",    "America/Costa_Rica",              /* GMT-06:00 */
    "Mexico Standard Time",            "America/Costa_Rica",              /* GMT-06:00 */
    "Central Standard Time",           "CST" /*"America/Chicago"*/,       /* GMT-06:00 */
    "Eastern Standard Time",           "EST" /*"America/New_York"*/,      /* GMT-05:00 */
    "SA Pacific Standard Time",        "America/Indianapolis",            /* GMT-05:00 */
    "US Eastern Standard Time",        "America/Indianapolis",            /* GMT-05:00 */
    "SA Western Standard Time",        "America/Caracas",                 /* GMT-04:00 */
    "Atlantic Standard Time",          "PRT" /*"America/Halifax"*/,       /* GMT-04:00 */
    "Newfoundland Standard Time",      "CNT" /*"America/St_Johns"*/,      /* GMT-03:30 */
    "E. South America Standard Time",  "BET" /*"America/Sao_Paulo"*/,     /* GMT-03:00 */
    "SA Eastern Standard Time",        "AGT" /*"America/Buenos_Aires"*/,  /* GMT-03:00 */
    "Mid-Atlantic Standard Time",      "Atlantic/South_Georgia",          /* GMT-02:00 */
    "Azores Standard Time",            "CAT" /*"Atlantic/Azores"*/,       /* GMT-01:00 */
    "GMT",                             "Europe/London",                   /* GMT       */
    "GMT Standard Time",               "GMT" /*"Africa/Casablanca"*/,     /* GMT       */
    "Central Europe Standard Time",    "Europe/Paris",                    /* GMT+01:00 */
    "Romance Standard Time",           "ECT" /*"Europe/Paris"*/,          /* GMT+01:00 */
    "W. Europe Standard Time",         "Europe/Paris",                    /* GMT+01:00 */
    "Israel Standard Time",            "Asia/Jerusalem",                  /* GMT+02:00 */
    "South Africa Standard Time",      "Africa/Johannesburg",             /* GMT+02:00 */
    "GFT Standard Time",               "Europe/Istanbul",                 /* GMT+02:00 */
    "Egypt Standard Time",             "EET" /*"Africa/Cairo"*/,          /* GMT+02:00 */
    "E. Europe Standard Time",         "Asia/Beirut",                     /* GMT+02:00 */
    "Saudi Arabia Standard Time",      "EAT" /*"Asia/Riyadh"*/,           /* GMT+03:00 */
    "Russian Standard Time",           "Europe/Moscow",                   /* GMT+03:00 */
    "Iran Standard Time",              "MET" /*"Asia/Tehran"*/,           /* GMT+03:30 */
    "Arabian Standard Time",           "NET" /*"Asia/Yerevan"*/,          /* GMT+04:00 */
    "Afghanistan Standard Time",       "Asia/Kabul",                      /* GMT+04:30 */
    "West Asia Standard Time",         "PLT" /*"Asia/Karachi"*/,          /* GMT+05:00 */
    "India Standard Time",             "IST" /*"Asia/Calcutta"*/,         /* GMT+05:30 */
    "Central Asia Standard Time",      "BST" /*"Asia/Dacca"*/,            /* GMT+06:00 */
    "Bangkok Standard Time",           "VST" /*"Asia/Bangkok"*/,          /* GMT+07:00 */
    "Taipei Standard Time",            "Asia/Shanghai",                   /* GMT+08:00 */
    "China Standard Time",             "CTT" /*"Asia/Shanghai"*/,         /* GMT+08:00 */
    "Tokyo Standard Time",             "JST" /*"Asia/Tokyo"*/,            /* GMT+09:00 */
    "AUS Central Standard Time",       "Australia/Darwin",                /* GMT+09:30 */
    "Cen. Australia Standard Time",    "ACT" /*"Australia/Adelaide"*/,    /* GMT+09:30 */
    "Tasmania Standard Time",          "Australia/Hobart",                /* GMT+10:00 */
    "Sydney Standard Time",            "AET" /*"Australia/Brisbane"*/,    /* GMT+10:00 */
    "West Pacific Standard Time",      "Asia/Vladivostok",                /* GMT+10:00 */
    "Central Pacific Standard Time",   "SST" /*"Pacific/Guadalcanal"*/,   /* GMT+11:00 */
    "Fiji Standard Time",              "Pacific/Fiji",                    /* GMT+12:00 */
    "New Zealand Standard Time",       "NST" /*"Pacific/Auckland"*/,      /* GMT+12:00 */
    "",
};

typedef struct localeTZnode {
    WORD langID;
    char * tzName;
} LocaleTZnode;


static LocaleTZnode defaultTZ [] = {
    { MAKELANGID(LANG_BULGARIAN, SUBLANG_DEFAULT),             "EET" },
    { MAKELANGID(LANG_CHINESE,   SUBLANG_CHINESE_TRADITIONAL), "CTT" },
    { MAKELANGID(LANG_CHINESE,   SUBLANG_CHINESE_SIMPLIFIED),  "CTT" },
    { MAKELANGID(LANG_CHINESE,   SUBLANG_CHINESE_HONGKONG),    "CTT" },
    { MAKELANGID(LANG_CHINESE,   SUBLANG_CHINESE_SINGAPORE),   "CTT" },
    { MAKELANGID(LANG_CROATIAN,  SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_CZECH,     SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_DANISH,    SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_DUTCH,     SUBLANG_DUTCH),               "ECT" },
    { MAKELANGID(LANG_DUTCH,     SUBLANG_DUTCH_BELGIAN),       "ECT" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_DEFAULT),             "PST" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_ENGLISH_UK),          "GMT" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_ENGLISH_AUS),         "AET" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_ENGLISH_CAN),         "PST" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_ENGLISH_NZ),          "NST" },
    { MAKELANGID(LANG_ENGLISH,   SUBLANG_ENGLISH_EIRE),        "GMT" },
    { MAKELANGID(LANG_FINNISH,   SUBLANG_DEFAULT),             "EET" },
    { MAKELANGID(LANG_FRENCH,    SUBLANG_FRENCH),              "ECT" },
    { MAKELANGID(LANG_FRENCH,    SUBLANG_FRENCH_BELGIAN),      "ECT" },
    { MAKELANGID(LANG_FRENCH,    SUBLANG_FRENCH_CANADIAN),     "EST" },
    { MAKELANGID(LANG_FRENCH,    SUBLANG_FRENCH_SWISS),        "ECT" },
    { MAKELANGID(LANG_GERMAN,    SUBLANG_GERMAN),              "ECT" },
    { MAKELANGID(LANG_GERMAN,    SUBLANG_GERMAN_SWISS),        "ECT" },
    { MAKELANGID(LANG_GERMAN,    SUBLANG_GERMAN_AUSTRIAN),     "ECT" },
    { MAKELANGID(LANG_GREEK,     SUBLANG_DEFAULT),             "EET" },
    { MAKELANGID(LANG_HUNGARIAN, SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_ICELANDIC, SUBLANG_DEFAULT),             "GMT" },
    { MAKELANGID(LANG_ITALIAN,   SUBLANG_ITALIAN),             "ECT" },
    { MAKELANGID(LANG_ITALIAN,   SUBLANG_ITALIAN_SWISS),       "ECT" },
    { MAKELANGID(LANG_JAPANESE,  SUBLANG_DEFAULT),             "JST" },
    { MAKELANGID(LANG_KOREAN,    SUBLANG_DEFAULT),             "JST" },
    { MAKELANGID(LANG_NORWEGIAN, SUBLANG_NORWEGIAN_BOKMAL),    "ECT" },
    { MAKELANGID(LANG_NORWEGIAN, SUBLANG_NORWEGIAN_NYNORSK),   "ECT" },
    { MAKELANGID(LANG_POLISH,    SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_PORTUGUESE,SUBLANG_PORTUGUESE),          "ECT" },
    { MAKELANGID(LANG_PORTUGUESE,SUBLANG_PORTUGUESE_BRAZILIAN),"IET" },
    { MAKELANGID(LANG_ROMANIAN,  SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_RUSSIAN,   SUBLANG_DEFAULT),             "EET" },
    { MAKELANGID(LANG_SLOVAK,    SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_SLOVENIAN, SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_SPANISH,   SUBLANG_SPANISH),             "ECT" },
    { MAKELANGID(LANG_SPANISH,   SUBLANG_SPANISH_MEXICAN),     "PST" },
    { MAKELANGID(LANG_SPANISH,   SUBLANG_SPANISH_MODERN),      "ECT" },
    { MAKELANGID(LANG_SWEDISH,   SUBLANG_DEFAULT),             "ECT" },
    { MAKELANGID(LANG_TURKISH,   SUBLANG_DEFAULT),             "EET" },
    { 0 , "" }
};
